API

Get a list of promo codes

GET/api/crm/v2/special_offers_promo_codesv2
operationId: specialOffersPromoCodes.default

Authorization

api-token + language + role

Query parameters

branch_idinteger

Branch to filter the list by. Without it, only filters are returned, without the list. For partners with a single branch, the server sets it automatically.

Example: 8778

special_offer_idinteger

Example: 1

page_numberinteger

Example: 1

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
filtersobject
branch_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

special_offer_idobject (FilterSelect)
valuestring

Example: example

typestringrequired

Example: select

optionarray of object
valuestringrequired

Example: example

namestringrequired

Example: All

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

listarray of object
idintegerrequired

Example: 1

codestringrequired

Example: CODE1933

countinteger

Example: 2

count_activationsintegerrequired

Example: 0

date_availablestring (DataTimeFormatSQL)

Example: 2024-05-02 08:31:16

date_expirationstring (DataTimeFormatSQL)

Example: 2024-05-02 08:31:16

bonuses_sumnumber

Example: 2.02

bonuses_validityinteger

Example: 3

branch_idintegerrequired

Example: 8778

special_offer_idinteger

Example: 152410

paginationobject (Pagination)
max_countintegerrequired

Number of items per page

Example: 30

page_numberintegerrequired

Current page number; limited so that the offset does not exceed 1000

Example: 1

has_nextbooleanrequired

Is there a next page

Example: true

has_previousbooleanrequired

Is there a previous page

Example: false

timezonestring

Example: Europe/Kaliningrad